<script>
	import PlaySolid from 'flowbite-svelte-icons/PlaySolid.svelte';

	let { sidebarData = ['Button Title'], setCurrentPage } = $props();
</script>

<aside class="surface-ios-cont rounded-md flex flex-col gap-2 child:rounded-md p-2.5">
	{#each sidebarData as title}
		<button onclick={() => setCurrentPage(title)} class="surface-ios-comp flex flex-row p-1 pr-3">
			<PlaySolid
				class="translate-y-[2px] w-5 h-5 text-primary-400 dark:text-gray-400 group-hover:text-gray-900 dark:group-hover:text-white"
			/>
			<span class="grow text-left -translate-y-[1px]">{title}</span>
		</button>
	{/each}
</aside>
